Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoCounter Class Reference
[Engine classes]

The SoCounter class is an integer counter engine. More...

`#include <Inventor/engines/SoCounter.h>`

Inheritance diagram for SoCounter:

List of all members.

## Public Methods
| SoCounter (void)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFShort | min
SoSFShort | max
SoSFShort | step
SoSFTrigger | trigger
SoSFShort | reset
SoEngineOutput | output
SoEngineOutput | syncOut
## Protected Methods
| ~SoCounter (void)

## Detailed Description

The SoCounter class is an integer counter engine.

The engine counts from its min value to its max value, adding the value of step each time trigger is touched.

SoCounter provides a convenient way of keeping track of the number of times some event in your application is triggered.

## Constructor & Destructor Documentation

SoCounter::SoCounter | ( | void |  | ) |

| Default constructor.

SoCounter::~SoCounter | ( | void |  | ) | `[protected]`

| Destructor. Protected, as engines are not supposed to be explicitly deleted, but rather take care of their own destiny by monitoring their reference count.

## Member Function Documentation

void SoCounter::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoSFShort SoCounter::min

| Minimum value for counter.

SoSFShort SoCounter::max

| Maximum value for counter.

SoSFShort SoCounter::step

| Counter step value.

SoSFTrigger SoCounter::trigger

| Increment counter (using step).

SoSFShort SoCounter::reset

| Reset counter to this value. The value will be clamped between min and max, and step will be accounted for.

SoEngineOutput SoCounter::output

| (SoSFShort) Output which contains the current counter value.

SoEngineOutput SoCounter::syncOut

| (SoSFTrigger) Triggers every time counter restarts at SoCounter::min.

The documentation for this class was generated from the following files:

- SoCounter.h
- SoCounter.cpp